import { Router } from 'aurelia-router';
import { I18N } from 'aurelia-i18n';
import { Country } from "../../model/common-model";
import { ListViewModelBase } from "../list-view-model-base";
import { ColDef } from 'ag-grid-community';
import { CustomLogger } from '../../modules/custom-logger';
export declare class CountryList extends ListViewModelBase<Country> {
    ressourceName: string;
    constructor(router: Router, logger: CustomLogger, i18n: I18N);
    addLocality(): void;
    getDetailsUrl(self: any, entity: Country): string;
    get routePrefix(): string;
    getDataGridColumns(): ColDef<any>[];
    importCountries(): void;
}
